Skip to content

List external hotlinks

Request

Returns a paginated list of External Hotlinks for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""description""resourceType""url"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
descriptionstring

Human-readable description or label for the hotlink.

resourceIdstring

Identifier of the resource this hotlink is associated with.

Example:resourceId=123e4567-e89b-12d3-a456-426614174000
resourceTypestring

Type of resource this hotlink is associated with (e.g., animal, contact, invoice).

statusstring

Lifecycle status of the external hotlink.

Enum:"active""inactive"
urlstring

Target URL of the external hotlink.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/external-hotlink?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&description=string&resourceId=123e4567-e89b-12d3-a456-426614174000&resourceType=string&status=active&url=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of External Hotlinks